Subject: bug#35264: "Match data clobbered by buffer modification hooks" when hooks only shifted match-data's markers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 May 2021 19:03:04 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 12 May 2021 17:57:14 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I tried the code example in that bug report now (with the patch that
> >> removes the sanity check), and it did not crash Emacs.  So that sanity
> >> check no longer seems to be necessary?
> >
> > Probably because some code somewhere uses save-match-data.
> 
> I guess.  But we have a case here where the sanity check is definitely
> wrong, and we don't have a reproducing case (any more) for the problem
> the check is trying to fix...  which seems to indicate to me that we
> should apply the patch (i.e., remove the buggy sanity check).

I'm not against applying the change, I just wonder why Stefan wasn't
against it back then as he is now.